﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/PrivateFull.Master" AutoEventWireup="true" CodeBehind="Album.aspx.cs" Inherits="TFC.NET.Albums" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="fullcontent" runat="server">
    <div class="content left">
	<div class="completebox">
        <h1>Albums</h1>
        <asp:Repeater runat="server" ID="rptAlbum">
            <HeaderTemplate>
                <ul class="imagelist">
            </HeaderTemplate>
            <ItemTemplate>
                <li>
                    <img alt="" onclick="__doPostBack('udpPicturesPanel','LoadAlbum;<%# DataBinder.Eval(Container.DataItem, "AlbumID")%>')" desc="<%# DataBinder.Eval(Container.DataItem, "AlbumDesc")%>" title="<%# DataBinder.Eval(Container.DataItem, "AlbumName")%>" class="pic tooltipimg" src="AjaxHandler.ashx?fn=ResizeRatio&size=settings&src=/userData/<%# DataBinder.Eval(Container.DataItem, "AlbumKeyPic")%>" />
                </li>
            </ItemTemplate>
            <FooterTemplate>
                </ul>
            </FooterTemplate>
        </asp:Repeater>
        <asp:Panel runat="server" ID="pnlNoAlbums">
            El usuario no tiene albums visibles
        </asp:Panel>
		<div id="AlbumTooltip" class="tooltip">
          
        </div>		
	</div>
    <asp:UpdatePanel runat="server" ID="udpPicturesPanel" ClientIDMode="Static" UpdateMode="Always">
        <ContentTemplate>
        <asp:Panel ID="pnlpictures" runat="server" CssClass="completebox cork">
        <asp:Repeater runat="server" ID="rptPictures">
            <HeaderTemplate>
                <div id="imagelist">
            </HeaderTemplate>
            <ItemTemplate>
                <%# ShowAlbumImage(((TFC.NET.Entities.Picture)Container.DataItem), (int) DataBinder.Eval(Container, "ItemIndex"))%>
            </ItemTemplate>
            <FooterTemplate>
                </div>
            </FooterTemplate>
        </asp:Repeater>        			
	</asp:Panel>
    </ContentTemplate>
        </asp:UpdatePanel>
    
</div>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="scripts" runat="server">
    <script type="text/javascript" src="js/jquery-ui-1.8.18.custom.min.js"></script>
    <script src="js/jquery.tools.min.js" type="text/javascript"></script>
    <script type="text/javascript">

        $(document).ready(function () {
            ReloadJObjects();

            $(".tooltipimg").mouseover(function () {
                var desc = $(this).attr("desc");
                var title = $(this).attr("title");

                $("#AlbumTooltip").html(title + " - " + desc);

            });


            // initialize tooltip
            $(".tooltipimg").tooltip({
                tip: '#AlbumTooltip',
                delay: 0
            }).dynamic({ bottom: { direction: 'down', bounce: true} });

        });

        function ReloadJObjects() {

            $(document).ready(function () {

                // Executed once all the page elements are loaded
                var preventClick = false;
                $(".pic a").bind("click", function (e) {

                    /* This function stops the drag from firing a click event and showing the lightbox */
                    if (preventClick) {
                        e.stopImmediatePropagation();
                        e.preventDefault();
                    }
                });

                $("#imagelist .pic").draggable({

                    /* Converting the images into draggable objects */
                    containment: 'parent',
                    start: function (e, ui) {
                        /* This will stop clicks from occuring while dragging */
                        preventClick = true;
                    },
                    stop: function (e, ui) {
                        /* Wait for 250 milliseconds before re-enabling the clicks */
                        setTimeout(function () { preventClick = false; }, 250);
                    }
                });

                $('.pic').mousedown(function (e) {
                    /* Executed on image click */
                    var maxZ = 0;

                    /* Find the max z-index property: */
                    $('.pic').each(function () {
                        var thisZ = parseInt($(this).css('zIndex'))
                        if (thisZ > maxZ) maxZ = thisZ;
                    });

                    /* Clicks can occur in the picture container (with class pic) and in the link inside it */
                    if ($(e.target).hasClass("pic")) {
                        /* Show the clicked image on top of all the others: */
                        $(e.target).css({ zIndex: maxZ + 1 });
                    }
                    else $(e.target).closest('.pic').css({ zIndex: maxZ + 1 });
                });

                if (location.hash.indexOf('#pic-') != -1) {
                    /* Checks whether a hash is present in the URL */
                    /* and shows the respective image */
                    $(location.hash + ' a.fancybox-thumb').click();
                }

            });
        }
    </script>
</asp:Content>
