﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Profile.ascx.cs" Inherits="TFC.NET.Control.Profile" %>
<div class="profile">
    <%if (isMyProfile)
              { %>
    <div class="icon notifications">
        <asp:Panel runat="server" ID="notification" ClientIDMode="Static" CssClass="bubble">
            <asp:Literal runat="server" ID="txttotalnotifications"></asp:Literal>
        </asp:Panel>
    </div>

    <%}else{ %>

        <%if ((LinkStatus == TFC.NET.Entities.Status.Pending || LinkStatus == TFC.NET.Entities.Status.Active))
          {
              string title = "Activo";
              if (LinkStatus == TFC.NET.Entities.Status.Pending)
              {
                  title = "Pendiente de aceptación";
              }
              
              %>
          <div class="icon" title="<%=title%>"></div>
        <%}
          else
          { %>
          <div class="icon noconnected">
            <asp:Panel runat="server" ID="connect" CssClass="bubble">
                <asp:ImageButton runat="server" ID="btnLink" CssClass="add" OnClick="btnLink_Click" ImageUrl="~/styles/blank.gif"></asp:ImageButton>
            </asp:Panel>
        </div>
        <%} %>

    
    <%} %>   

	<asp:Image runat="server" ID="profileimage" />
	<div class="actions">
        <%if (LinkStatus == TFC.NET.Entities.Status.Active || isMyProfile)
          { %>
		    <a href="#toolbox" class="modal"><div class="publicationicon"></div></a>

        <%
            
            string param = "";
            if (!isMyProfile && ProfileUser != null)
            {
                param = "?userid=" + ProfileUser.UserID;
            }
             %>
		<div class="imageicon" onclick="document.location.href='Album.aspx<%=param %>'"></div>

        <%} %>
	</div>
</div>
<%if (isMyProfile)
              { %>
<div class="notificationmenu hidden">
	<div class="leftarrow"></div>
	<ul>
		<li class="friend"><div></div><a href="List.aspx?fn=user"><asp:Literal ID="txtfriendrequest" runat="server"></asp:Literal></a></li>
	</ul>
</div>
<%}%>
