﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PublicationTools.ascx.cs" Inherits="TFC.NET.Control.PublicationTools" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Panel ID="toolbox" ClientIDMode="Static" runat="server" CssClass="hidden">
    <div class="publication">
        <div class="publicationicon"></div>
        <asp:Button ID="btnPublication" runat="server" CssClass="preventDouble" OnClick="btnPublication_Click" Text="Enviar" OnClientClick="setImageLoad('responseTxt')" />
	    <asp:DropDownList ID="drpRule" runat="server" Width="150px"></asp:DropDownList>
        <div class="writte">
		    <asp:TextBox TextMode="MultiLine" ID="txtpublication" MaxLength="255" CssClass="pubformfield" runat="server" />
	    </div>						
    </div>
    <div class="publicationextra">
	    <div class="publicationicon"></div>
        <div class="writte">
		    <asp:TextBox TextMode="MultiLine" ID="txtimage" CssClass="pubformfield" MaxLength="255" runat="server" />
	    </div>
        <ajaxToolkit:AsyncFileUpload CssClass="upload" OnUploadedFileError="AsyncFileUpload_UploadedFileError"
             OnUploadedComplete="AsyncFileUpload_UploadedComplete" runat="server"
             ID="AsyncFileUpload" Width="220px" UploaderStyle="Traditional" AllowedFileTypes="jpg,jpeg,gif,png"
             ThrobberID="imgjaxload"
             UploadingBackColor="#CCFFFF" />
    </div>
    <div class="publicationresponse">
        <asp:Image ID="imgUploaded" runat="server" Visible="false" />
        <asp:Label ID="imgjaxload" runat="server" Style="display:none">
            <img src="images/ajax-loader.gif" alt="loading" />
        </asp:Label>
        <asp:UpdatePanel runat="server" id="Panel">
            <ContentTemplate>  
                <asp:Label runat="server" ID="responseTxt" ClientIDMode="Static" />
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnPublication" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    <asp:HiddenField ID="hdnusertoid" runat="server" />   
</asp:Panel>
    
    
