﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/Private.Master" AutoEventWireup="true" CodeBehind="Settings.aspx.cs" Inherits="TFC.NET.Settings" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link href="styles/excite-bike/jquery-ui-1.8.18.custom.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="leftcontent" runat="server">
<div class="bigbox">
	<h1>Configuraci&oacute;n</h1>

    <ul class="tabs">
	    <li><a href="#">Datos personales</a></li>
	    <li><a href="#">Privacidad</a></li>
    </ul>

    <!-- tab "panes" -->
    <div class="panes">
        <div class="contenttab">
	        <h2>Datos personales</h2>
 	        <div class="form-personaldata">
            <p>
            <asp:UpdatePanel runat="server" ID="ProfileImagePanel">
                    <ContentTemplate>  
                     <asp:Literal runat="server"  ID="txtprofileimg" />
                <asp:Label ID="imgjaxload" runat="server" Style="display:none">
                    <img src="images/ajax-loader.gif" alt="loading" />
                </asp:Label>
                </ContentTemplate>
                    </asp:UpdatePanel>
        
            <ajaxToolkit:AsyncFileUpload CssClass="upload" OnUploadedFileError="AsyncFileUpload_UploadedFileError"
                     OnUploadedComplete="AsyncFileUpload_UploadedComplete" runat="server" OnClientUploadComplete="OnClientAsyncFileUploadComplete"
                     ID="AsyncFileUpload" UploaderStyle="Traditional" AllowedFileTypes="jpg,jpeg,gif,png"
                     ThrobberID="imgjaxload" 
                     UploadingBackColor="#CCFFFF" />
            </p>
               <asp:UpdatePanel runat="server" ID="updProfilePanel">
                    <ContentTemplate>
		        <p>Nombre completo *:</p> 
		        <p>
                <asp:TextBox runat="server"  MaxLength="25" ID="nameinput" CssClass="nameinput" TabIndex="1" />
	            <asp:TextBox runat="server"  MaxLength="25" ID="surnameinput" CssClass="surnameinput" tabindex="2" />
                </p>
		        <p>Fecha Nacimiento:</p>
		        <p><asp:TextBox runat="server"  MaxLength="25" ID="birthdateinput" CssClass="birthdateinput datepicker" TabIndex="3" /></p>
		        <p>Email *:</p> 
		        <p>
                <asp:TextBox runat="server"  MaxLength="100" ID="emailinput" CssClass="emailinput" tabindex="4" />
	            <asp:TextBox runat="server"  MaxLength="100" ID="repemailinput" CssClass="repemailinput" tabindex="5" />
                </p>
		        <p>Contrase&ntilde;a *:</p> 
		        <p><asp:TextBox runat="server"  MaxLength="25" ID="passinput" CssClass="passinput" tabindex="7" />
	            <asp:TextBox runat="server"  MaxLength="25" ID="reppassinput" CssClass="reppassinput" tabindex="8" /></p>
                <asp:Label runat="server" ID="lblprofilemsg" ></asp:Label>
                <asp:Button runat="server" ID="btnProfile" Text="Almacenar cambios" OnClick="btnProfile_Click" />
	        </div>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnProfile" EventName="Click" />
            </Triggers>
                    </asp:UpdatePanel>
        </div>
        <div class="contenttab">
	    <h2>Privacidad</h2>
        <asp:UpdatePanel runat="server" ID="udpUsersSelected">
                <ContentTemplate>
	    <div class="form-privacy">
		    <p>Selecciona tipo *:<p> 
		    <p>
            <asp:RadioButtonList runat="server" ID="rdbRuleType" RepeatDirection="Horizontal" AutoPostBack="false">
                <asp:ListItem Text="Todas" Value="0"></asp:ListItem>
                <asp:ListItem Text="Imágenes" Value="1"></asp:ListItem>
                <asp:ListItem Text="Publicaciones" Value="2"></asp:ListItem>
            </asp:RadioButtonList>
		    <p>Regla privacidad *:</p>
		    <p><asp:DropDownList runat="server" ID="drpRule" AutoPostBack="true" OnSelectedIndexChanged="drpRule_SelectedIndexChanged">
                <asp:ListItem Text="Nueva regla" Value="-1" />
            </asp:DropDownList>
            </p>
            <asp:Panel ID="pnlRule" runat="server">
                <p>Nombre de la regla: <asp:TextBox runat="server" ID="txtRuleName" MaxLength="25" /></p>
                <p>Descripción de la regla:</p>
                <p><asp:TextBox runat="server" ID="txtRuleDesc" MaxLength="255" CssClass="biginput" TextMode="MultiLine" /></p>
            </asp:Panel>            
		    <p>Visibilidad *:</p>
		    <p><asp:DropDownList runat="server" ID="drpVisibility" AutoPostBack="false" Enabled="false">
                <asp:ListItem Text="Únicamente los usuarios seleccionados" Value="1" />
            </asp:DropDownList></p>
		    <p>Selecciona los usuarios sobre los que aplica: </p>
		    <p><asp:TextBox runat="server" ID="txtFriend" ReadOnly="true" onclick="OpenModalUsers();" CssClass="biginput txtfriends" /></p>
            <p><asp:Button ID="btnRule" runat="server" OnClick="btnRule_Click" Text="Guardar regla" /></p>
            <p><asp:Label runat="server" ID="lblResponseRule"></asp:Label></p>
            </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="chkLinked" EventName="SelectedIndexChanged" />
                    <asp:AsyncPostBackTrigger ControlID="btnRule" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="drpRule" EventName="SelectedIndexChanged" />
                </Triggers>
            </asp:UpdatePanel>
            </div>
        </div>
	</div>
</div>
<asp:UpdatePanel runat="server" ID="updCheckUsers">
                <ContentTemplate>
<div id="userlist" class="hidden">
    <h1>Selecciona los usuarios</h1>
    <div>
        <a href="javascript:void(0);" onclick="CheckAll(true)">Marcar todos</a> | <a href="javascript:void(0);" onclick="CheckAll(false)">Desmarcar todos</a>
    </div>
    <asp:CheckBoxList runat="server" ID="chkLinked" AutoPostBack="true" OnSelectedIndexChanged="chkLinked_SelectedIndexChanged"></asp:CheckBoxList>
</div>

    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="drpRule" EventName="SelectedIndexChanged" />
    </Triggers>
</asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="scripts" runat="server">

<script type="text/javascript" src="js/jquery-ui-1.8.18.custom.min.js"></script>
<script type="text/javascript" src="js/jquery-ui-localize.js"></script>
<script type="text/javascript" src="js/jquery.tools.min.js"></script>

<script type="text/javascript">

    $(document).ready(function () {
        
        $(".datepicker").datepicker({
            buttonImage: 'images/calendar.png',
            maxDate: '-18Y',
            minDate: '-99Y',
            showOn: 'both',
            buttonImageOnly: true,
            changeMonth: true,
            changeYear: true,
            yearRange: "-100:+0"
        });

        $.datepicker.setDefaults($.datepicker.regional["es"]);
        
        $("ul.tabs").tabs("div.panes > div.contenttab");
    });

    function OnClientAsyncFileUploadComplete(sender, args) {
        var imageUrl = AjaxHandler;
        imageUrl += "?fn=ImagePreview&size=settings&sessiontype=profile&sessionid=<%=UserSessionID %>"

        $('.profile img').attr("src", imageUrl);
    }

    function OpenModalUsers() {
        $.fancybox({
            width: '480px',
            height: '320px',
            autoScale: true,
            transitionIn: 'fade',
            transitionOut: 'fade',
            type: 'inline',
            closeBtn: true,
            href: '#userlist'
        });
    }

    function CheckAll(bool) {
        $("#userlist input").each(function () {
            if (bool) {
                $(this).attr("checked", true);
                $(".txtfriends").val("Todos tus amigos");
            } else {
                $(this).removeAttr("checked");
                $(".txtfriends").val("");
            }
        });
    }	  
		  
</script>

</asp:Content>
