﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/Private.Master" AutoEventWireup="true" CodeBehind="UploadImage.aspx.cs" Inherits="TFC.NET.UploadImage" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link href="styles/excite-bike/jquery-ui-1.8.18.custom.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="leftcontent" runat="server">

<div class="bigbox">
	<h1>Gesti&oacute;n de im&aacute;genes</h1>
	<div class="clear"></div>
	<div class="uploadedimage">
        <asp:UpdatePanel runat="server" ID="updRefreshAlbums" ClientIDMode="Static">
        <ContentTemplate>
        <div class="lists albums">
            
            <asp:Repeater runat="server" ID="rptAlbum">
                <HeaderTemplate>
                    <div class="imagelist">
                        <!-- "previous page" action -->
                        <a class="prev browse left"></a>
                        <!-- "next page" action -->
                        <div class="scrollable" id="albumscroll">
                            <div class="items"> 
                </HeaderTemplate>
                <ItemTemplate>
                    <%# ((int)DataBinder.Eval(Container, "ItemIndex")) % 2 == 0 ? "<div>" : ""%>
                        <img alt="<%# DataBinder.Eval(Container.DataItem, "AlbumName")%>" onclick="__doPostBack('udpPicturesPanel','LoadAlbum;<%# DataBinder.Eval(Container.DataItem, "AlbumID")%>')" desc="<%# DataBinder.Eval(Container.DataItem, "AlbumDesc")%>" title="<%# DataBinder.Eval(Container.DataItem, "AlbumName")%>" class="pic tooltipimg" src="AjaxHandler.ashx?fn=ResizeRatio&w=130&h=100&src=/userData/<%# DataBinder.Eval(Container.DataItem, "AlbumKeyPic")%>" />
                    <%# ((int)DataBinder.Eval(Container, "ItemIndex")) % 2 == 1 ? "</div>" : ""%>
                </ItemTemplate>
                <FooterTemplate>
                        <%# rptAlbum.Items.Count % 2 == 1 ? "</div>" : ""%>

                            </div>
                        </div>
                        <!-- "next page" action -->
                        <a class="next browse right"></a>
                    </div>
                </FooterTemplate>
            </asp:Repeater>
            <div id="AlbumTooltip" class="tooltip"></div>
        </div>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnSaveImage" EventName="Click" />
        </Triggers>
            </asp:UpdatePanel>
        <div class="clear"></div>
        <div class="lists pics">
        <asp:UpdatePanel runat="server" ID="udpPicturesPanel" ClientIDMode="Static">
        <ContentTemplate>
		        <asp:Repeater runat="server" ID="rptPictures">
                    <HeaderTemplate>
                        <div class="imagelist">
                            <!-- "previous page" action -->
                            <a class="prev browse left"></a>
                            <!-- "next page" action -->
                            <div class="scrollable" id="pictures">
                                <div class="items"> 
                    </HeaderTemplate>
                    <ItemTemplate>
                        <%# ((int)DataBinder.Eval(Container, "ItemIndex")) % 2 == 0 ? "<div>" : ""%>
                            <img alt="<%# DataBinder.Eval(Container.DataItem, "PicDesc")%>" 
                                    onclick="jsPicOptions(this,<%# DataBinder.Eval(Container.DataItem, "PicID")%>, <%# DataBinder.Eval(Container.DataItem, "AlbumID")%>)" 
                                    desc="<%# DataBinder.Eval(Container.DataItem, "PicDesc")%>" 
                                    title="<%# DataBinder.Eval(Container.DataItem, "PicDesc")%>" 
                                    class="tooltipimg pic" 
                                    src="AjaxHandler.ashx?fn=ResizeRatio&w=130&h=100&src=/userData/<%# DataBinder.Eval(Container.DataItem, "PicPath")%>" />
                        <%# ((int)DataBinder.Eval(Container, "ItemIndex")) % 2 == 1 ? "</div>" : ""%>
                    </ItemTemplate>
                    <FooterTemplate>
                        <%# rptPictures.Items.Count % 2 == 1 ? "</div>" : ""%>
                                </div>
                            </div>
                            <!-- "next page" action -->
                            <a class="next browse right"></a>
                        </div>
                    </FooterTemplate>
                   
                </asp:Repeater>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnSaveImage" EventName="Click" />
            </Triggers>
            </asp:UpdatePanel>
            <div id="picoptions" class="hidden">
                <h3>Seleccione una acción a realizar sobre la imagen</h3>
                <img alt="" class="pic" src="" />
                <div class="delete" onclick="DeleteImage()" title="Eliminar imagen"></div>Eliminar imagen
                <input type="hidden" id="hdnPicOpt" />
                <input type="hidden" id="hdnAlbumOpt" />
            </div>
        </div>
	</div>
    <div class="clear"></div>
	<div class="form-image">
		<p>Selecciona imagen *:</p> 
		<p>
            <asp:UpdatePanel runat="server" ID="ProfileImagePanel" ClientIDMode="Static">
            <ContentTemplate>  
             <asp:Literal runat="server"  ID="txtprofileimg" />
        <asp:Label ID="imgjaxload" runat="server" Style="display:none">
            <img src="images/ajax-loader.gif" alt="loading" />
        </asp:Label>
        </ContentTemplate>
            </asp:UpdatePanel>
        
            <ajaxToolkit:AsyncFileUpload CssClass="upload" OnUploadedFileError="AsyncFileUpload_UploadedFileError"
                     OnUploadedComplete="AsyncFileUpload_UploadedComplete" runat="server" OnClientUploadComplete="OnClientAsyncFileUploadComplete"
                     ID="AsyncFileUpload" UploaderStyle="Traditional"
                     ThrobberID="imgjaxload" 
                     UploadingBackColor="#CCFFFF" />
        </p>
        <asp:UpdatePanel runat="server" ID="udpFormPanel" ClientIDMode="Static">
            <ContentTemplate>
		<p>Fecha:</p>
        <p><asp:TextBox runat="server"  MaxLength="8" ID="picdateinput" CssClass="birthdateinput datepicker" TabIndex="3" /></p>
		<p>Nombre: </p>
		<p><asp:TextBox runat="server" ID="txtname" MaxLength="25" CssClass="biginput" /></p>
        <p>Descripci&oacute;n: </p>
		<p><asp:TextBox runat="server" ID="txtdesc" MaxLength="255" TextMode="MultiLine" CssClass="biginput" /></p>
        <p>&Aacute;lbum *:
        <asp:DropDownList runat="server" ID="drpAlbum" onchange="CheckNewAlbum(this);">
            <asp:ListItem Text="Nuevo álbum" Value="-1" />
        </asp:DropDownList>
        </p>
        <asp:Panel ID="pnlNewAlbum" runat="server" ClientIDMode="Static" CssClass="hidden">
            <p>Nombre del álbum:
            <asp:TextBox runat="server" ID="txtAlbumName" MaxLength="25" /></p>
            <p>
            Descripción del álbum:</p>
            <p>
            <asp:TextBox runat="server" ID="txtAlbumDesc" MaxLength="255" TextMode="MultiLine" CssClass="biginput" /></p>
            </p>
        </asp:Panel>
        </p>
        <p>
		Regla privacidad *:
		<asp:DropDownList ID="drpRule" runat="server" Width="150px"></asp:DropDownList>
        </p>
		<p><asp:Button runat="server" ID="btnSaveImage" OnClick="btnSaveImage_Click" Text="Guardar" CssClass="preventdouble" /></p>
        </ContentTemplate>
            </asp:UpdatePanel>
	</div>
</div>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="scripts" runat="server">

<script type="text/javascript" src="js/jquery-ui-1.8.18.custom.min.js"></script>
<script type="text/javascript" src="js/jquery-ui-localize.js"></script>
<script type="text/javascript" src="js/jquery.tools.min.js"></script>
<script type="text/javascript">

    $(document).ready(function () {

        $(".tooltipimg").mouseover(function () {
            var desc = $(this).attr("desc");
            var title = $(this).attr("title");

            $("#AlbumTooltip").html(title + " - " + desc);

        });


        // initialize tooltip
        $(".tooltipimg").tooltip({
            tip: '#AlbumTooltip',
            delay: 0
        }).dynamic({ bottom: { direction: 'down', bounce: true} });

        $(".datepicker").datepicker({
            buttonImage: 'images/calendar.png',
            maxDate: '0',
            minDate: '-99Y',
            showOn: 'both',
            buttonImageOnly: true,
            changeMonth: true,
            changeYear: true,
            yearRange: "-100:+0"
        });

        $.datepicker.setDefaults($.datepicker.regional["es"]);

        $("#albumscroll").scrollable();

    });

    function CheckNewAlbum(obj) {
        if($(obj).val() == "-1")
        {
            $("#pnlNewAlbum").show();
        }
        else
        {
            $("#pnlNewAlbum").hide();
        }
    }

    function DOMLoadObjects() {

        $(".datepicker").datepicker({
            buttonImage: 'images/calendar.png',
            maxDate: '0',
            minDate: '-99Y',
            showOn: 'both',
            buttonImageOnly: true,
            changeMonth: true,
            changeYear: true,
            yearRange: "-100:+0"
        });

        $.datepicker.setDefaults($.datepicker.regional["es"]);

        $("#albumscroll").scrollable();

    }

    function jsPicOptions(obj,picid, albumid) {

        $.fancybox({
            width: '480px',
            height: '320px',
            autoScale: true,
            transitionIn: 'fade',
            transitionOut: 'fade',
            type: 'inline',
            closeBtn: true,
            href: '#picoptions',
            beforeLoad: function () {
                $("#picoptions img").attr("src", $(obj).attr("src"));
                $("#picoptions #hdnPicOpt").val(picid)
                $("#picoptions #hdnAlbumOpt").val(albumid)
            }
        });

    }

    function DeleteImage() {

        $.ajax({
            url: AjaxHandler,
            type: "POST",
            async: true,
            data: {
                fn: "DeleteImage",
                picid: $("#hdnPicOpt").val(),
                albumid: $("#hdnAlbumOpt").val()
            },
            beforeSend: function (xhr) {
                return confirm("¿Está seguro que desea eliminar la imagen seleccionada?");
            },
            success: function (data) {
                switch (data.substring(0, 2)) {
                    default:
                    case "0:":
                        jsAlert(data.substring(2, data.length));
                        break;
                    case "1:":
                        __doPostBack("updRefreshAlbums", "RefreshAlbums");
                        $.fancybox.close();
                        break;
                }
            },
            complete: function () {
                $('.preventDouble').enableSubmit();
            },
            error: function () {
                jsAlert("Se ha producido un error al procesar su petición. Por favor, inténtelo más tarde.", { type: error });
            },
            statusCode: {
                404: function () {
                    //TODO: Informar error 404
                    jsAlert("Se ha solicitado una petición que no puede ser procesada por el servicio. Por favor, inténtelo más tarde.", { type: error });
                },
                500: function () {
                    jsAlert("Se ha producido un error al procesar su petición. Por favor, inténtelo más tarde.", { type: error });
                    //TODO: Informar error 500
                }
            }
        });

    }

    function OnClientAsyncFileUploadComplete(sender, args) {
        var imageUrl = AjaxHandler;
        imageUrl += "?fn=ImagePreview&w=194&h=288&sessiontype=profile&sessionid=<%=UserSessionID %>"
        DOMLoadObjects();
    }
		  
</script>

</asp:Content>
