﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using TFC.NET.Business;
using TFC.NET.Entities;

namespace TFC.NET.Control
{
    ///<summary>
    /// Summary description for AutoComplete
    ///</summary>

    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, 
    // uncomment the following line.
    [System.Web.Script.Services.ScriptService]
    public class AutoComplete : System.Web.Services.WebService
    {

        public AutoComplete()
        {

            //Uncomment the following line if using designed components
            //InitializeComponent();
        }

        [WebMethod]
        public string[] GetMyUsersLinkedLike(string prefixText, int count)
        {
            //Then return List of string(txtItems) as result
            List<string> txtItems = new List<string>();

            List<UserLink> userList = new List<UserLink>();

            if (GlobalBS.GetUsersLike(prefixText, ref userList))
            {

                foreach (UserLink u in userList)
                {
                    txtItems.Add(u.Name);
                }
            }

            if (txtItems.Count == 0)
            {
                txtItems.Add("No se encontraron coincidencias...");
            }

            return txtItems.ToArray();
        }
    }

}
