﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserBubblesList.ascx.cs" Inherits="TFC.NET.Control.UserBubblesList" %>
<asp:UpdatePanel runat="server" id="udpBubblePanel" ClientIDMode="Static">
    <ContentTemplate>
    
<asp:Repeater ID="rptBubble" runat="server">
    <HeaderTemplate>
    </HeaderTemplate>
    <ItemTemplate>
        <div class="<%# ((TFC.NET.Entities.Publication)Container.DataItem).GetsCssStyle(_user.UserID)%>">
            <div class="image">
	            <div class="icon"></div>
	            <img alt="" src="AjaxHandler.ashx?fn=ResizeRatio&w=81&h=81&src=<%#((TFC.NET.Entities.Publication)Container.DataItem).User.ProfileImage%>" class="shadow" />
            </div>
            <div class="content">
	            <div class="leftarrow"></div>
	            <a class="userlink" href="Profile.aspx?user=<%#((TFC.NET.Entities.Publication)Container.DataItem).User.UserID%>"><%#((TFC.NET.Entities.Publication)Container.DataItem).User.Name%></a>
                <span class="text">
                    <%# DataBinder.Eval(Container.DataItem, "PublDesc")%>
	            </span>
                <%# ShowImageInPublication(((TFC.NET.Entities.Publication)Container.DataItem).Image)%>
                
                <%if (!isMessages)
                  { %>
	            <div class="summary">
		            <div class="date"><%# TFC.NET.Entities.Utilities.TimeSpanToString(((TFC.NET.Entities.Publication)Container.DataItem).datediff())%></div>
		            <div class="comments"><a href="#"><%# ((TFC.NET.Entities.Publication)Container.DataItem).Comments.Count %> comentarios</a><div class="icon"></div></div>
	            </div>
                
	            <div class="pub-comments">
                    <asp:Repeater runat="server" ID="repComm" DataSource="<%# ((TFC.NET.Entities.Publication)Container.DataItem).Comments %>">
                        <HeaderTemplate></HeaderTemplate>
                        <ItemTemplate>
                            <div class="comm">
			                    <div class="commimg">
				                    <img alt="" src="AjaxHandler.ashx?fn=ResizeRatio&w=75&h=75&src=<%#((TFC.NET.Entities.Publication)Container.DataItem).User.ProfileImage%>" />
			                    </div>
			                    <div class="commtxt">
				                    <span class="text">
					                    <%# DataBinder.Eval(Container.DataItem, "PublDesc")%>
				                    </span>
				                    <%# ShowImageInPublication(((TFC.NET.Entities.Publication)Container.DataItem).Image)%>
			                    </div>
			                    <div class="commsummary">
				                    <div class="date"><%# TFC.NET.Entities.Utilities.TimeSpanToString(((TFC.NET.Entities.Publication)Container.DataItem).datediff())%></div>
			                    </div>
		                    </div>
                        </ItemTemplate>
                        <SeparatorTemplate><div class="clear"></div></SeparatorTemplate>
                        <FooterTemplate></FooterTemplate>
                    </asp:Repeater>
                    <div class="clear"></div>
                    <div class="comm">
			            <div class="commimg">
                            <img alt="" src="AjaxHandler.ashx?fn=ResizeRatio&w=75&h=75&src=<%=CurrentUser.ProfileImage%>" />
			            </div>
			            <div class="commtxt">
				            <span class="text">
					            <asp:TextBox TextMode="SingleLine" ID="txtcomment" onkeyup="clearHTMLStrips(this)" MaxLength="255" runat="server" />
                                <asp:Button runat="server" ID="btnComment" CssClass="preventDouble" Text="Enviar" OnClientClick="SendNewComment(this);" />
                                <asp:HiddenField ID="hdnruleid" runat="server" Value="<%# ((TFC.NET.Entities.Publication)Container.DataItem).RuleID%>" />
                                <asp:HiddenField ID="hdnpublid" runat="server" Value="<%# ((TFC.NET.Entities.Publication)Container.DataItem).PublID%>" />
				            </span>
				            
			            </div>
		            </div>						
	            </div>
                <%} %>
            </div>
            </div>
    </ItemTemplate>
    <FooterTemplate>
    </FooterTemplate>
</asp:Repeater>
<div class="clear"></div>
<asp:Panel ID="pnlViewMore" runat="server" CssClass="viewmorebox">
    <asp:LinkButton runat="server" ID="btnViewMore" OnClick="btnViewMore_Click" Text="Ver más..." />
</asp:Panel>
        </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnViewMore" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>