﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/Private.Master" AutoEventWireup="true" CodeBehind="CreateSchedule.aspx.cs" Inherits="TFC.NET.CreateSchedule" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
<link href="styles/excite-bike/jquery-ui-1.8.18.custom.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="leftcontent" runat="server">

<div class="bigbox">
	<h1>Nueva programaci&oacute;n</h1>
	<div class="clear"></div>
	<div class="form-image">
		<asp:UpdatePanel runat="server" ID="udpUsersSelected">
            <ContentTemplate>
        <p>Selecciona tipo *:</p> 
		<p>
            <asp:DropDownList runat="server" ID="drpType"></asp:DropDownList>
        </p>
		<p>Fecha:</p>
        <p><asp:TextBox runat="server" ID="dateinput" CssClass="birthdateinput datepicker" /> <asp:DropDownList runat="server" ID="drpHours"></asp:DropDownList>&nbsp;<asp:DropDownList runat="server" ID="drpMinutes"></asp:DropDownList></p>
		<p>T&iacute;tulo: </p>
		<p><asp:TextBox runat="server" ID="txtTitle" MaxLength="25" CssClass="biginput txttitle" /></p>
		<p>Descripci&oacute;n: </p>
		<p><asp:TextBox runat="server" ID="txtDesc" MaxLength="255" TextMode="MultiLine" CssClass="biginput txtdesc" /></p>
		<p>Amigos invitados: </p>
        <p><asp:TextBox runat="server" ID="txtFriend" ReadOnly="true" onclick="OpenModalUsers();" CssClass="biginput txtfriends" /></p>
        <asp:Label runat="server" ID="lblresponse"></asp:Label>
        </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="chkLinked" EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger ControlID="btnSave" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <p><asp:Button ID="btnSave" runat="server" OnClick="btnSave_Click" Text="Almacenar" /></p>
        
	</div>
</div>
<div id="userlist" class="hidden">
    <h1>Selecciona los amigos invitados</h1>
    <asp:CheckBoxList runat="server" ID="chkLinked" AutoPostBack="true" OnSelectedIndexChanged="chkLinked_SelectedIndexChanged">
    </asp:CheckBoxList>
</div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="scripts" runat="server">
    <script type="text/javascript" src="js/jquery-ui-1.8.18.custom.min.js"></script>
<script type="text/javascript" src="js/jquery-ui-localize.js"></script>
<script type="text/javascript">

    $(document).ready(function () {
        $(".txttitle").labeledInput({ label: "Título de la programación" });
        $(".txtdesc").labeledInput({ label: "Descripción de la programación" });

        $(".datepicker").datepicker({
            buttonImage: 'images/calendar.png',
            maxDate: '+1Y',
            minDate: '0',
            showOn: 'both',
            buttonImageOnly: true,
            changeMonth: true,
            changeYear: true,
            yearRange: "-100:+0"
        });

        $.datepicker.setDefaults($.datepicker.regional["es"]);

    });

    function OpenModalUsers() {
        $.fancybox({
            width: '480px',
            height: '320px',
            autoScale: true,
            transitionIn: 'fade',
            transitionOut: 'fade',
            type: 'inline',
            closeBtn:true,
            href: '#userlist'
        });
    }	  
</script>
</asp:Content>
