﻿<%@ Page Title="Login" Language="C#" MasterPageFile="~/Master/Public.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="TFC.NET.Default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="rightcontent" runat="server">
<div class="loginform">
    <asp:TextBox ID="userinput" CssClass="userinput" TabIndex="1" runat="server" />
    <asp:TextBox TextMode="Password" ID="passinput" CssClass="passinput" TabIndex="2" runat="server" />
    <div class="clear"></div>
    <div style="position:relative">
        <asp:UpdatePanel runat="server" id="Panel">
            <ContentTemplate>
                <div class="shadow box hidden msg exception">
                    <div class="rightarrow"></div>
                    <asp:Label ID="lblMsg" runat="server" />
                </div>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnLogin" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    <asp:Button ID="btnLogin" runat="server" CssClass="preventDouble" TabIndex="3" Text="Enviar" OnClick="btnLogin_Click" />
	<span>
		<a href="#rmberpass" class="modal">&iquest;Ha olvidado su password?</a> | <a href="Register.aspx">Social&#237;zate con nosotros!</a>
	</span>
</div>
<div id="rmberpass" class="hidden">
    <asp:TextBox ID="rmberlogin" runat="server" CssClass="rmberlogin rmbfield" />
    <asp:TextBox ID="rememberemail" runat="server" CssClass="rememberemail rmbfield" />
    <input type="button" id="btnRemember" class="preventDouble" onclick="RememberPass();" value="Recordar" />
    <div class="clear"></div>
    <div id="rmbResponse"></div>
</div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="bottombox" runat="server">
<div class="bloc">
	<div class="image task"></div>
	<p>Controla el estado de tus tareas en todo momento con la gestión de programación.</p>
	<p>Podrás crear eventos y tareas para compartirlas con tus amigos. </p>
	<p>¡Ya no volverán a tener la escusa de que no se acordaron!</p>
</div>
<div class="bloc">
	<div class="image picture"></div>
	<p>Comparte con tus amigos las fotos de tu último viaje por el mundo o tu excursión por la montaña.</p>
	<p>Te ofrecemos una visión original de tu álbum de fotos, para que tus amigos se mueran de la envidia. </p>
	<p>¡Sonríe!</p>
</div>
<div class="bloc">
	<div class="image social"></div>
	<p>Comunícate con tus amigos y familiares y comparte contenido.</p>
	<p>En esta vida estresante, casi no nos vemos unos a otros, ¿qué mejor manera de estar siempre conectados que
    aprovechar la conectividad de internet?</p>
</div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="scripts" runat="server">

<script type="text/javascript">

    $(".userinput").labeledInput({ label: "usuario" });
    $(".passinput").labeledInput({ label: "contraseña" });

    $(".rmberlogin").labeledInput({ label: "Introduce tu usuario" });
    $(".rememberemail").labeledInput({ label: "Introduce tu correo registrado" });

   

</script>
</asp:Content> 
