﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/Public.Master" AutoEventWireup="true" CodeBehind="Register.aspx.cs" Inherits="TFC.NET.Register" %>
<%@ MasterType VirtualPath="~/Master/Public.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link href="styles/excite-bike/jquery-ui-1.8.18.custom.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="rightcontent" runat="server">
    <div class="registerform">
	<span>Nombre completo</span>
    <asp:TextBox runat="server"  MaxLength="25" ID="nameinput" CssClass="nameinput" TabIndex="1" />
	<asp:TextBox runat="server"  MaxLength="25" ID="surnameinput" CssClass="surnameinput" TabIndex="2" />
	<span>Fecha nacimiento</span>
    <asp:TextBox runat="server"  MaxLength="25" ID="birthdateinput" CssClass="birthdateinput datepicker" TabIndex="3" />
	<span>Email</span>
	<asp:TextBox runat="server"  MaxLength="100" ID="emailinput" CssClass="emailinput" TabIndex="4" />
	<asp:TextBox runat="server"  MaxLength="100" ID="repemailinput" CssClass="repemailinput" TabIndex="5" />
	<span>Nombre usuario</span>
	<asp:TextBox runat="server"  MaxLength="25" ID="nickinput" CssClass="nickinput" TabIndex="6" />
	<span>Contrase&ntilde;a</span>
	<asp:TextBox runat="server"  MaxLength="25" ID="passinput" CssClass="passinput" TabIndex="7" />
	<asp:TextBox runat="server"  MaxLength="25" ID="reppassinput" CssClass="reppassinput" TabIndex="8" />
	<div class="clear"></div>
    <span>
        <asp:CheckBox runat="server" ID="chkPrivacy" TabIndex="9" /> Acepto la <a href="Privacy.aspx" class="iframe fancybox.iframe">Pol&iacute;tica de privacidad</a>
	</span>
    <div class="clear"></div>
    <div style="position:relative">
        <asp:UpdatePanel runat="server" id="Panel">
            <ContentTemplate>
                <div class="shadow box hidden msg <%=registerStatus %>">
                    <div class="rightarrow"></div>
                    <asp:Label ID="lblMsg" runat="server" />
                </div>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnRegister" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    <asp:Button runat="server" ID="btnRegister" TabIndex="10" CssClass="preventDouble" Text="Acceder" OnClick="btnRegister_Click" />
</div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="bottombox" runat="server">
<div class="bloc">
	<div class="image picture"></div>
	<p>Comparte con tus amigos las fotos de tu último viaje por el mundo o tu excursión por la montaña.</p>
	<p>Te ofrecemos una visión original de tu álbum de fotos, para que tus amigos se mueran de la envidia. </p>
	<p>¡Sonríe!</p>
</div>
<div class="bloc">
	<div class="image social"></div>
	<p>Comunícate con tus amigos y familiares y comparte contenido.</p>
	<p>En esta vida estresante, casi no nos vemos unos a otros, ¿qué mejor manera de estar siempre conectados que
    aprovechar la conectividad de internet?</p>
</div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="scripts" runat="server">
    <script type="text/javascript" src="js/jquery-ui-1.8.18.custom.min.js"></script>
<script type="text/javascript" src="js/jquery-ui-localize.js"></script>
<script type="text/javascript">

    $(document).ready(function () {
        $(".nameinput").labeledInput({ label: "Nombre" });
        $(".surnameinput").labeledInput({ label: "Apellidos" });
        $(".emailinput").labeledInput({ label: "correo@social" });
        $(".repemailinput").labeledInput({ label: "Repetir email" });
        $(".nickinput").labeledInput({ label: "Usuario" });
        $(".passinput").labeledInput({ label: "Contraseña" });
        $(".reppassinput").labeledInput({ label: "Repetir contraseña" });

        $(".datepicker").datepicker({
            buttonImage: 'images/calendar.png',
            maxDate: '-18Y',
            minDate: '-99Y',
            buttonImageOnly: true,
            changeMonth: true,
            changeYear: true,
            yearRange: "-100:+0"
        });

        $.datepicker.setDefaults($.datepicker.regional["es"]);

    });

		  
</script>
</asp:Content>
