﻿var AjaxHandler = 'AjaxHandler.ashx'

$(document).ready(function () {

    $(".modal").fancybox({
        fitToView: true,
        autoSize: true,
        closeClick: false,
        openEffect: 'none',
        closeBtn: true,
        padding: 40,
        closeEffect: 'none'
    });

    $(".iframe").fancybox({
        fitToView: true,
        autoSize: true,
        closeClick: false,
        openEffect: 'none',
        closeBtn: true,
        padding: 40,
        iframe: true,
        closeEffect: 'none'
    });

    $(".ctcnameinput").labeledInput({ label: "Nombre de contacto" });
    $(".ctcemailinput").labeledInput({ label: "Email de contacto", isEmail: true });
    $(".ctcsubjinput").labeledInput({ label: "Asunto" });
    $(".ctcmessageinput").labeledInput({ label: "Mensaje" });
});

function clearHTMLStrips(obj) {
    obj.value = obj.value.replace(/<(?:.|\n)*?>/gm, '')
}

function jsAlert(msg) {

    alert(msg);

}

function jsError(msg) {

    alert(msg);
    document.location.href = 'Default.aspx';
}

function SendContactForm() {

    try{
        $(".ctcfield").each(function(){
            if (!$(this).isModified())
                throw exception;
        });
    }catch(e)
    {
        $("#ctcResponse").html("Por favor, complete todos los datos del formulario");
        return;
    }

    $.ajax({
        url: AjaxHandler,
        type: "POST",
        async: true,
        data: {
            fn: "ContactForm",
            subj: $(".ctcsubjinput").val(),
            email: $(".ctcemailinput").val(),
            msg: $(".ctcmessageinput").val(),
            name: $(".ctcnameinput").val()
        },
        beforeSend: function (xhr) {
            $("#ctcResponse").html('<img alt="Loading..." src="images/ajax-loader.gif">');
        },
        success: function (data) {
            switch (data.substring(0, 2)) {
                default:
                case "0:":
                    $("#ctcResponse").html(data.substring(2, data.length));
                    // TODO: Retornar error
                    break;
                case "1:":
                    $("#ctcResponse").html(data.substring(2, data.length));
                    setTimeOut(function () { $.fancybox.close() }, 5000);
                    // TODO: Informar todo ok
                    break;
            }
        },
        complete: function () {
            $('.preventDouble').enableSubmit();
        },
        error: function () {
            $("#ctcResponse").html("Se ha producido un error al procesar su petición. Por favor, inténtelo más tarde.");
        },
        statusCode: {
            404: function () {
                //TODO: Informar error 404
                $("#ctcResponse").html("Se ha solicitado una petición que no puede ser procesada por el servicio. Por favor, inténtelo más tarde.");
            },
            500: function () {
                $("#ctcResponse").html("Se ha producido un error al procesar su petición. Por favor, inténtelo más tarde.");
                //TODO: Informar error 500
            }
        }
    });

}