﻿$(document).ready(function () {
    var $panel = $(".carousel");
    var $container = $panel.find(".container");

    $container.wtRotator({
        width: 540,
        height: 192,
        thumb_width: 24,
        thumb_height: 24,
        button_width: 24,
        button_height: 24,
        button_margin: 5,
        auto_start: true,
        delay: 10000,
        transition: "random",
        transition_speed: 800,
        block_size: 75,
        vert_size: 55,
        horz_size: 50,
        cpanel_align: "BR",
        timer_align: "top",
        display_thumbs: false,
        display_dbuttons: true,
        display_playbutton: true,
        display_thumbimg: false,
        display_side_buttons: false,
        tooltip_type: "image",
        display_numbers: true,
        display_timer: true,
        mouseover_select: false,
        mouseover_pause: false,
        cpanel_mouseover: false,
        text_mouseover: false,
        text_effect: "fade",
        text_sync: true,
        shuffle: true,
        block_delay: 25,
        vstripe_delay: 73,
        hstripe_delay: 183
    });

    $(".preventDouble").preventDoubleSubmit();
});

function RememberPass() {

    try {
        $(".rmbfield").each(function () {
            if (!$(this).isModified())
                throw exception;
        });
    } catch (e) {
        $("#rmbResponse").html("Por favor, complete todos los datos del formulario");
        return;
    }

    $.ajax({
        url: AjaxHandler,
        type: "POST",
        async: true,
        data: {
            fn: "ChangePass",
            login: $(".rmberlogin").val(),
            email: $(".rememberemail").val()
        },
        beforeSend: function (xhr) {
            $("#rmbResponse").html('<img alt="Loading..." src="images/ajax-loader.gif">');
            $(".preventDouble").preventDoubleSubmit();
        },
        success: function (data) {
            switch (data.substring(0, 2)) {
                default:
                case "0:":
                    $("#rmbResponse").html(data.substring(2, data.length));
                    break;
                case "1:":
                    $("#rmbResponse").html(data.substring(2, data.length));
                    setTimeout(function () { $.fancybox.close() }, 5000);
                    break;
            }
        },
        complete: function () {
            $('.preventDouble').enableSubmit();
        },
        error: function () {
            $("#rmbResponse").html("Se ha producido un error al procesar su petición. Por favor, inténtelo más tarde.");
        },
        statusCode: {
            404: function () {
                //TODO: Informar error 404
                $("#rmbResponse").html("Se ha solicitado una petición que no puede ser procesada por el servicio. Por favor, inténtelo más tarde.");
            },
            500: function () {
                $("#rmbResponse").html("Se ha producido un error al procesar su petición. Por favor, inténtelo más tarde.");
                //TODO: Informar error 500
            }
        }
    });

}
